package yb_community_question_process

import (
	"time"
)

const (
	// 流程类型: 1-分配; 2-转移
	ProcessTypeDistribute = 1
	ProcessTypeTransfer   = 2
)

// YbCommunityQuestionProcess 研报-社区问答流程表
type YbCommunityQuestionProcess struct {
	ID                  int       `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	CommunityQuestionID int       `gorm:"index:idx_question_id;column:community_question_id;type:int(10) unsigned;not null" json:"community_question_id"`
	TransferUserID      int       `gorm:"column:transfer_user_id;type:int(10) unsigned;not null;default:0" json:"transfer_user_id"`
	TransferAdminID     int       `gorm:"column:transfer_admin_id;type:int(10) unsigned;not null;default:0" json:"transfer_admin_id"`
	TransferAdminName   string    `gorm:"column:transfer_admin_name;type:varchar(100);not null;default:''" json:"transfer_admin_name"`
	ReplierUserID       int       `gorm:"column:replier_user_id;type:int(10) unsigned;not null;default:0" json:"replier_user_id"`
	ReplierAdminID      int       `gorm:"column:replier_admin_id;type:int(10) unsigned;not null;default:0" json:"replier_admin_id"`
	ReplierAdminName    string    `gorm:"column:replier_admin_name;type:varchar(100);not null;default:''" json:"replier_admin_name"`
	Remark              string    `gorm:"column:remark;type:varchar(255);not null;default:''" json:"remark"`
	ProcessType         int       `gorm:"column:process_type;type:tinyint(4) unsigned;not null;default:0" json:"process_type"`
	CreateTime          time.Time `gorm:"column:create_time;type:datetime;default:null" json:"create_time"`
	VarietyClassifyID   int       `gorm:"column:variety_classify_id;type:int(10) unsigned;not null;default:0" json:"variety_classify_id"`
	VarietyTagID        int       `gorm:"column:variety_tag_id;type:int(10) unsigned;not null;default:0" json:"variety_tag_id"`
}

// TableName get sql table name.获取数据库表名
func (item *YbCommunityQuestionProcess) TableName() string {
	return "yb_community_question_process"
}
